---
title: Chef Habitat 0.59.0 Released!
date: 2018-07-12
author: Jon Bauman
tags: release notes
category: release notes
classes: body-article
---

We are happy to announce the release of Chef Habitat 0.59.0. This is a smaller release, but there are still some good new features and bug fixes, so please read on for all the details. If you just want the binaries, head on over to our [downloads page](https://www.habitat.sh/docs/using-habitat/#install-habitat). Thanks again for using Chef Habitat!

## Release Notes Highlights:

### New Features & Enhancements
- Add success and failure callbacks for plan builds [#5081](https://github.com/habitat-sh/habitat/pull/5081) ([christophermaier](https://github.com/christophermaier))
- Adds --auth for allowing exports of private packages [#5203](https://github.com/habitat-sh/habitat/pull/5203) ([eeyun](https://github.com/eeyun))
`hab pkg export docker <origin>/<pkg>` should now respect `HAB_AUTH_TOKEN` appropriately as well as now supporting an `--auth` argument!

### Behavioral Changes
- [common] Updates due to PackageTarget changes in habitat-sh/core#37. [#5311](https://github.com/habitat-sh/habitat/pull/5311) ([fnichol](https://github.com/fnichol))
This is primarily an internal refactoring change that doesn't introduce any new functionality, however it does change one behavior which, while not supported nor expected, is new.

As a Chef Habitat user, if you've managed to manually extract Windows packages on disk on a Linux system alongside your Linux packages (and the case is the same for Linux packages on a Windows system), then this new release of Chef Habitat will skip over any installed packages that are not of the same package target type. In that way your Chef Habitat software will increasingly only care about dealing with packages matching its own compiled-in active package target. Given a more concrete example, an `x86_64-linux` Chef Habitat CLI only cares about `x86_64-linux` packages.


### Bug Fixes
- fixing default value for pid display in hab svc status [#5281](https://github.com/habitat-sh/habitat/pull/5281) ([jeremymv2](https://github.com/jeremymv2))
- remove svc PID files on hab sup term [#5236](https://github.com/habitat-sh/habitat/pull/5236) ([jeremymv2](https://github.com/jeremymv2))

### Documentation Updates

- some modernization updates to windows blogs [#5301](https://github.com/habitat-sh/habitat/pull/5301) ([mwrock](https://github.com/mwrock))
- added Chef Habitat and other software doc [#5309](https://github.com/habitat-sh/habitat/pull/5309) ([echohack](https://github.com/echohack))
- Update remaining `hab start` references [#5303](https://github.com/habitat-sh/habitat/pull/5303) ([cnunciato](https://github.com/cnunciato))
- Re-add Vagrantfile. [#5117](https://github.com/habitat-sh/habitat/pull/5117) ([bruce-one](https://github.com/bruce-one))
- Fix link for SWIM paper [#5302](https://github.com/habitat-sh/habitat/pull/5302) ([baumanj](https://github.com/baumanj))
- Exclude release PRs from changelog with label [#5284](https://github.com/habitat-sh/habitat/pull/5284) ([baumanj](https://github.com/baumanj))
- Update 2018-05-21-On-Prem-Builder.html.md [#5134](https://github.com/habitat-sh/habitat/pull/5134) ([emmakat](https://github.com/emmakat))

### Other changes
- Replace &quot;blacklist&quot; and &quot;whitelist&quot; with less problematic terminology [#5296](https://github.com/habitat-sh/habitat/pull/5296) ([baumanj](https://github.com/baumanj))
- Loosen Rust build dependency pin [#5294](https://github.com/habitat-sh/habitat/pull/5294) ([christophermaier](https://github.com/christophermaier))
- Deploy web site using the keys for the www user, not me [#5290](https://github.com/habitat-sh/habitat/pull/5290) ([raskchanky](https://github.com/raskchanky))
