---
title: Chef Habitat 0.74.0 Released
date: 2019-02-06
author: fnichol
tags: release notes
category: product
classes: body-article
---

Habitat 0.74.0 Release Notes

We are happy to announce the release of Chef Habitat v0.74.0. We have a number of
new features as well as bug fixes, so please read on for all the details. We
have a small behavioral change for Windows users when building packages, for
more details read on! If you just want the binaries, head on over to [Install
Chef Habitat](https://www.habitat.sh/docs/using-habitat/#install-habitat).

Thanks again for using Chef Habitat!

Highlights:

#### Windows Build Change: Set results folder in current directory

One change to the Windows build system in 0.74.0 changes the location of the
`results` folder where the final `hart` file is saved upon a successful build.
Until 0.74.0, the `results` folder would always exist under the folder where
the `plan.ps1` file is located. We have changed this location so that the
`results` folder is created inside the current working directory. Thus the
`results` folder will exist in the same directory from wherever you call
`build` if you are inside of a Studio or from where you call `hab pkg build`.

The reason for this change is that this aligns the Powershell build behavior
with the Bash based behavior for `plan.sh` based plans. We make an effort to
align these behaviors in order to simplify the overall behavior of any Chef Habitat
build and align expectations and documentation around the Chef Habitat build system
in general. The particular detail of the `results` folder location came to
light as we have been working on adding Windows builder workers to our public
Chef Habitat CI offering.

If you have built CI infrastructure around Windows based Chef Habitat builds, this
change may impact you if you invoke a build from a location above the immediate
folder where your `plan.ps1` is located. If you typically run `build` from the
same directory where the `plan.ps1` is located, this change should have no
affect.

#### A new install hook

A new and unique hook has been introduced in this release that runs when a
package is installed. Head over to the [Introducting the Install
Hook](/blog/2019/02/introducing-the-install-hook) blog post for more details.

---

Remaining Changelog Items:

#### Behavioral Changes
- Set results folder in PWD not PLAN_CONTEXT [#6087](https://github.com/habitat-sh/habitat/pull/6087) ([mwrock](https://github.com/mwrock))

#### Bug Fixes
- [sup] Add `core/make` as a build dependency. [#6111](https://github.com/habitat-sh/habitat/pull/6111) ([fnichol](https://github.com/fnichol))
- uses the 2015 CPP redistributable and fixes some HAB_CACHE_SRC_PATH refs [#6095](https://github.com/habitat-sh/habitat/pull/6095) ([mwrock](https://github.com/mwrock))
- install interpreter if not already installed [#6093](https://github.com/habitat-sh/habitat/pull/6093) ([mwrock](https://github.com/mwrock))
- Fix some clippy lints that were missed due to `make lint` missing some files [#6068](https://github.com/habitat-sh/habitat/pull/6068) ([baumanj](https://github.com/baumanj))
- Fix &quot;uncontroversial&quot; clippy lints and start making them errors in TravisCI [#6065](https://github.com/habitat-sh/habitat/pull/6065) ([baumanj](https://github.com/baumanj))

#### New Features & Enhancements
- extract supervisor templating and execute an install hook when installing packages [#5866](https://github.com/habitat-sh/habitat/pull/5866) ([mwrock](https://github.com/mwrock))
- Improve butterfly Server::insert_service [#6053](https://github.com/habitat-sh/habitat/pull/6053) ([baumanj](https://github.com/baumanj))
- Instrument the supervisor with metrics [#5986](https://github.com/habitat-sh/habitat/pull/5986) ([raskchanky](https://github.com/raskchanky))

#### Merged Pull Requests
- Plumb in target into rdeps API [#6120](https://github.com/habitat-sh/habitat/pull/6120) ([chefsalim](https://github.com/chefsalim))
- Move metadata setup into a build step, assume all builds are real [#6119](https://github.com/habitat-sh/habitat/pull/6119) ([scotthain](https://github.com/scotthain))
- Modify script so we can use pipeline upload in the job [#6117](https://github.com/habitat-sh/habitat/pull/6117) ([scotthain](https://github.com/scotthain))
- Upload backline to acceptance [#5966](https://github.com/habitat-sh/habitat/pull/5966) ([smacfarlane](https://github.com/smacfarlane))
- Remove the ProdPad and GH project tracker content. [#6033](https://github.com/habitat-sh/habitat/pull/6033) ([raskchanky](https://github.com/raskchanky))
- [core] Bump core crates. [#6108](https://github.com/habitat-sh/habitat/pull/6108) ([fnichol](https://github.com/fnichol))
- Rust 1.32.0 [#6103](https://github.com/habitat-sh/habitat/pull/6103) ([raskchanky](https://github.com/raskchanky))
- [ci/mac] Upgrade to macOS 10.12 for build workers. [#6099](https://github.com/habitat-sh/habitat/pull/6099) ([fnichol](https://github.com/fnichol))
- Release 0.74.0. [#6091](https://github.com/habitat-sh/habitat/pull/6091) ([fnichol](https://github.com/fnichol))
- fix misplacement of tutorial fix [#6086](https://github.com/habitat-sh/habitat/pull/6086) ([mwrock](https://github.com/mwrock))
- correct asp.net tutorial to comply with directory perm changes in previous release [#6083](https://github.com/habitat-sh/habitat/pull/6083) ([mwrock](https://github.com/mwrock))
- update install hook blog to reflect new core plans and windows service [#6082](https://github.com/habitat-sh/habitat/pull/6082) ([mwrock](https://github.com/mwrock))
- Add target param to bldr job start command [#6081](https://github.com/habitat-sh/habitat/pull/6081) ([chefsalim](https://github.com/chefsalim))
- docker windows studio should read the sup log from the new path [#6078](https://github.com/habitat-sh/habitat/pull/6078) ([mwrock](https://github.com/mwrock))
- [blog] Add post detailing base plans refresh 2019-01-22 [#6064](https://github.com/habitat-sh/habitat/pull/6064) ([smacfarlane](https://github.com/smacfarlane))
- Modify internal queue name [#6062](https://github.com/habitat-sh/habitat/pull/6062) ([scotthain](https://github.com/scotthain))
- Remove eventsrv. [#6069](https://github.com/habitat-sh/habitat/pull/6069) ([raskchanky](https://github.com/raskchanky))
- Update docs after the latest release [#6063](https://github.com/habitat-sh/habitat/pull/6063) ([raskchanky](https://github.com/raskchanky))
- split sections by custom token when generating cli docs [#6037](https://github.com/habitat-sh/habitat/pull/6037) ([mpeck](https://github.com/mpeck))
- Update CLI docs for 0.73.0 [#6058](https://github.com/habitat-sh/habitat/pull/6058) ([raskchanky](https://github.com/raskchanky))
- Update Cargo.lock for 0.73.0 [#6060](https://github.com/habitat-sh/habitat/pull/6060) ([raskchanky](https://github.com/raskchanky))
- Bump to 0.74.0-dev [#6059](https://github.com/habitat-sh/habitat/pull/6059) ([raskchanky](https://github.com/raskchanky))
- Add 0.73.0 blog post [#6057](https://github.com/habitat-sh/habitat/pull/6057) ([raskchanky](https://github.com/raskchanky))
